## org.apache.batik.ext.awt.image.rendered
Class TileLRUMember

    java.lang.Object
      org.apache.batik.ext.awt.image.rendered.TileLRUMember

All Implemented Interfaces:
  LRUCache.LRUObj

public class TileLRUMember
extends java.lang.Object
implements LRUCache.LRUObj

This is a useful class that wraps a Raster for patricipation in an LRU Cache. When this object drops out of the LRU cache it removes it's hard reference to the tile, but retains it's soft reference allowing for the recovery of the tile when the JVM is not under memory pressure

Field Summary
`protected java.awt.image.Raster` `hRaster`
`protected LRUCache.LRUNode` `myNode`
`protected java.lang.ref.Reference` `wRaster`

Constructor Summary
`TileLRUMember()`
`TileLRUMember(java.awt.image.Raster ras)`

Method Summary
`boolean` `checkRaster()`
`LRUCache.LRUNode` `lruGet()` Called to get the LRU node for this object.
`void` `lruRemove()` Called to inform the object that it is no longer in the cache.
`void` `lruSet(LRUCache.LRUNode nde)` Called when the object first becomes active in the LRU cache.
`java.awt.image.Raster` `retrieveRaster()`
`void` `setRaster(java.awt.image.Raster ras)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### myNode

    protected LRUCache.LRUNode myNode

### wRaster

    protected java.lang.ref.Reference wRaster

### hRaster

    protected java.awt.image.Raster hRaster

Constructor Detail

### TileLRUMember

    public TileLRUMember()

### TileLRUMember

    public TileLRUMember(java.awt.image.Raster ras)

Method Detail

### setRaster

    public void setRaster(java.awt.image.Raster ras)

### checkRaster

    public boolean checkRaster()

### retrieveRaster

    public java.awt.image.Raster retrieveRaster()

### lruGet

    public LRUCache.LRUNode lruGet()

  Description copied from interface: `LRUCache.LRUObj`
  Called to get the LRU node for this object. Should return the node passed in to lruSet.

  Specified by:
    `lruGet` in interface `LRUCache.LRUObj`

### lruSet

    public void lruSet(LRUCache.LRUNode nde)

  Description copied from interface: `LRUCache.LRUObj`
  Called when the object first becomes active in the LRU cache.

  Specified by:
    `lruSet` in interface `LRUCache.LRUObj`
  Parameters:
    `nde` - The LRU cache node associated with this object. should be remembered so it can be returned by `lruGet`.

### lruRemove

    public void lruRemove()

  Description copied from interface: `LRUCache.LRUObj`
  Called to inform the object that it is no longer in the cache.

  Specified by:
    `lruRemove` in interface `LRUCache.LRUObj`

Copyright © 2004 Apache Software Foundation. All Rights Reserved.